shopify

Setup

Create shopify store

Create new private app:

https://YOUR_STORE_URL/admin/apps/private

Grant full access

Add keys to integration parameters

Element details

type: meya.shopify.integration
class: ShopifyIntegration
path: /meya/shopify/integration/integration.py
signature: -

Fields

fielddescription               requiredsignaturedefaulttype
specOverride the original spec for this element.○○nullSpec
enabledEnables the integration, allowing it to process events and HTTP/WS entries.○○truebool
filterSpecifies the GridQL to filter rx_sub, rx, tx, tx_pubentries. Check the integration filtering guidefor more info.○○rx_sub: true
rx: true
tx: true
tx_pub: true
IntegrationFilter
verify_tokenThe token to be verified for each incoming request. You need to add the verify_token=YOUR_TOKEN query parameter to integration's webhook URL.○○nullstr
max_attachment_sizeControls maximum attachment size supported by the integration in bytes.○○nullint
markdownThe markdown features that are supported by this integration. Check the Markdown guide for more info.○○falselist
bool
typingWhen set to false, all typing indicators received by the integration will be ignored.○○truebool
api_keyShopify private app API key◉○str
passwordShopify private app password◉○str
store_urlShopify store URL◉○str

Usage reference

Basic

type: meya.shopify.integration
api_key: STRING
password: STRING
store_url: STRING

Full

type: meya.shopify.integration
spec:
  type: STRING
  data:
    STRING: ANY
  timeout: 123
  trigger_when: ANY
enabled: false
filter:
  rx_sub: STRING
  rx: STRING
  tx: STRING
  tx_pub: STRING
verify_token: STRING
max_attachment_size: 123
markdown:
  - format|linkify|breaks|typographer
typing: false
api_key: STRING
password: STRING
store_url: STRING